Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Screening
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
    • Additional entity search
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
    • Get all BL Screening Results
    • Get a single BL screening result
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
    • Enable tracking for a screened Bill of Lading
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
    • Disable tracking for a Bill of Lading
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Screening

Archive a Screening

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
PUT
https://api.polestar-production.com
/purpletrac/v1/transaction/{id}
Pole Star offers the ability to archive a vessel after screening and/or tracking have concluded. This is also known as deregistering a vessel.
Archiving a vessel does not remove any information, it is a way of separating active from historic transactions for housekeeping purposes.
Note that any tracked vessel which is archived will automatically stop tracking.
To archive a vessel include the transaction id and the transaction status (set to "C") in the request body.
Refer to Screening Vessels to see how to use this endpoint to archive a vessel screening.
Refer to Tracking a Vessel to see how this endpoint is used in the vessel tracking workflow.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Path Params

Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
The screening was archived. It stays readable and keeps its reports.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.polestar-production.com/purpletrac/v1/transaction/?username=undefined&api_key=%3Capi-key%3E' \
--header 'Content-Type: application/json' \
--data '{
    "id": 199473,
    "status": "C"
}'
Response Response Example
200 - Default
{
    "added_via": "MANUAL",
    "ais_gap_status": "F",
    "ais_received": null,
    "ais_reporting": true,
    "auto_deregister": true,
    "auto_deregistered": false,
    "auto_register": true,
    "blv": null,
    "carbon_rating_screen": false,
    "client_reference": "my custom reference",
    "closed_date": null,
    "container_screen_id": null,
    "creation_date": "2023-12-05T13:24:46.500470",
    "has_gaps": true,
    "id": 2849764,
    "inmarsatc_expected": null,
    "inmarsatc_interval": 2,
    "inmarsatc_received": null,
    "inmarsatc_reporting": true,
    "only_tracking_by_ais": false,
    "overall_severity": "WARNING",
    "registered_date": null,
    "registered_name": "9221126",
    "report_generation_complete": true,
    "resource_uri": "/api/v1/transaction/2849764",
    "screened_date": "2023-12-05T13:39:33.980235",
    "screening_status": "WARNING",
    "ship": "/api/v1/shipdetails/272962",
    "status": "C",
    "tracking_date": null,
    "tracking_expiry": null,
    "transceiver_domain": "",
    "transceiver_domain_id": "",
    "user": "/api/v1/user/6913",
    "voyage": null
}
Modified at 2026-09-18 08:35:54
Previous
Submit a vessel for rescreening
Next
Voyage updates
Built with